use maud::{html, PreEscaped, DOCTYPE};

/// Base template builder.
///
/// Takes an HTML body as input and splices it into the base template.
pub fn build_template(body: PreEscaped<String>, theme: String) -> PreEscaped<String> {
    html! {
        (DOCTYPE)
        html lang="en" data-theme=(theme);
        head {
            meta charset="utf-8";
            meta name="description" content="PeachCloud web interface";
            meta name="author" content="glyph and notplants";
            meta name="viewport" content="width=devide-width, initial-scale=1.0";
            link rel="stylesheet" href="/css/peachcloud.css";
            link rel="stylesheet" href="/css/_variables.css";
            title { "PeachCloud" }
        }
        body {
            (body)
        }
    }
}
