use maud::{html, Markup, PreEscaped};

/// Sbot inactive template builder.
///
/// Display a message to the operator when the sbot is inactive and
/// therefore some functionality is not available.
pub fn build_template(unavailable_msg: &str) -> Markup {
    html! {
        (PreEscaped("<!-- SBOT INACTIVE -->"))
        div class="card center" {
            div class="capsule capsule-container border-warning center-text" {
                p class="card-text" style="font-size: var(--font-size-4);" {
                    "Sbot Inactive"
                }
                p class="card-text" { (unavailable_msg) }
                p class="card-text" {
                    "Visit the "
                    strong {
                        a href="/settings/scuttlebutt" class="link" {
                            "Scuttlebutt settings menu"
                        }
                    }
                    " to start the Sbot and then try again."
                }
            }
        }
    }
}
